You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2020-10-01 15:10:21

GAESI
Member
Registered: 2020-10-01
Posts: 4

[GLPI Migration 9.4.5 > 9.5.1] Probleme avec le collecteur mail

Bonjour,

Depuis la mise à jour vers la version GLPI 9.5.1, la récupération de mes emails via collecteur ne fonctionne plus.

Les actions automatique du "Mailgate" fonctionne sans problème.

Aucun problème AVANT la migration.

--------------------------------------

Quand je me rend dans les options du collecteur mail "Configuration \ Collecteurs \ (le collecteur) \ Action \ Récupérer les courriels maintenant", voici ce qui s'affiche :

Erreur
Nombre de messages : disponibles=3, récupérés=3, refusés=0, erreurs=3, en liste noire=0

--------------------------------------

J'ai été vérifier les logs, les seuls logs qui retourne quelques choses d'intéressant et le log "mailgate.log" qui se trouve dans le répertoire "/var/www/glpi/files/_log/".

Voici ce que dit le log :
Message invalide : Malformed header detected<br/>2020-10-01 15:10:06 [@SERVEUR]
Message invalide : Malformed header detected<br/>2020-10-01 15:10:06 [@SERVEUR]
Message invalide : Malformed header detected<br/>2020-10-01 15:10:06 [@SERVEUR]


Visiblement le mailgate me dit que l'en-tête mail est mal formaté (ceci seulement depuis la migration en 9.5.1).

--------------------------------------

Concernant la configuration du collecteur :
Type de serveur : onpremise (interne) "Kerio Connect"
Type de connexion : POP
TLS : NO-TLS
Authentification : OUI

--------------------------------------

Je vois que beaucoup de personne on des problèmes avec le collecteur depuis la mise a jour en version 9.5, voir 9.5.1, mais sans retour de log, si cela peut donner une piste a certaines personnes.

Dans l'attente de vos retour, je vous remercie.

Last edited by GAESI (2020-10-01 15:12:03)

Offline

#2 2020-10-13 15:12:32

romain65
Member
Registered: 2015-06-25
Posts: 75

Re: [GLPI Migration 9.4.5 > 9.5.1] Probleme avec le collecteur mail

Bonjour,
quand tu listes les extensions PHP avec php -m, est-ce qu'il y a imap dedans ?
Si non il faut réinstaller cette extension : apt-get install php-imap ou php7.2-imap
Mettre éventuellement sudo devant.

Bon courage !

Offline

#3 2021-07-21 15:21:03

djsully78
Member
Registered: 2006-09-09
Posts: 6

Re: [GLPI Migration 9.4.5 > 9.5.1] Probleme avec le collecteur mail

Bonjour ,

Avez vous trouver le problème car j'ai aussi le problème sur la version 9.5.5

Offline

Board footer

Powered by FluxBB